<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="pt"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>ManagedUserVM.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Credenciamento</a> &gt; <a href="index.source.html" class="el_package">br.edu.unifacisa.lti.web.rest.vm</a> &gt; <span class="el_source">ManagedUserVM.java</span></div><h1>ManagedUserVM.java</h1><pre class="source lang-java linenums">package br.edu.unifacisa.lti.web.rest.vm;

import br.edu.unifacisa.lti.service.dto.UserDTO;
import javax.validation.constraints.Size;

import java.time.ZonedDateTime;
import java.util.Set;

/**
 * View Model extending the UserDTO, which is meant to be used in the user management UI.
 */
public class ManagedUserVM extends UserDTO {

    public static final int PASSWORD_MIN_LENGTH = 4;

    public static final int PASSWORD_MAX_LENGTH = 100;

    @Size(min = PASSWORD_MIN_LENGTH, max = PASSWORD_MAX_LENGTH)
    private String password;

<span class="fc" id="L21">    public ManagedUserVM() {</span>
        // Empty constructor needed for Jackson.
<span class="fc" id="L23">    }</span>

    public ManagedUserVM(Long id, String login, String password, String firstName, String lastName,
                         String email, boolean activated, String imageUrl, String langKey,
                         String createdBy, ZonedDateTime createdDate, String lastModifiedBy, ZonedDateTime lastModifiedDate,
                        Set&lt;String&gt; authorities) {

<span class="fc" id="L30">        super(id, login, firstName, lastName, email, activated, imageUrl, langKey,</span>
            createdBy, createdDate, lastModifiedBy, lastModifiedDate,  authorities);

<span class="fc" id="L33">        this.password = password;</span>
<span class="fc" id="L34">    }</span>

    public String getPassword() {
<span class="fc" id="L37">        return password;</span>
    }

    @Override
    public String toString() {
<span class="nc" id="L42">        return &quot;ManagedUserVM{&quot; +</span>
<span class="nc" id="L43">            &quot;} &quot; + super.toString();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.7.9.201702052155</span></div></body></html>